Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drupal.project.async_command
Enum AsyncCommand.Control

    java.lang.Object
      java.lang.Enum<AsyncCommand.Control>
          org.drupal.project.async_command.AsyncCommand.Control

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AsyncCommand.Control>

Enclosing class:
  AsyncCommand

    public static enum AsyncCommand.Control

extends java.lang.Enum<AsyncCommand.Control>

Enum Constant Summary
`CANCEL`
`ONCE`
`REMOTE`

Method Summary
`static AsyncCommand.Control` | `parse(java.lang.String token)`
`java.lang.String` | `toString()`
`static AsyncCommand.Control` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AsyncCommand.Control[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ONCE

    public static final AsyncCommand.Control ONCE

### CANCEL

    public static final AsyncCommand.Control CANCEL

### REMOTE

    public static final AsyncCommand.Control REMOTE

Method Detail

### values

    public static AsyncCommand.Control[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AsyncCommand.Control c : AsyncCommand.Control.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AsyncCommand.Control valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<AsyncCommand.Control>`

### parse

    public static AsyncCommand.Control parse(java.lang.String token)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD